Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class RuleSetNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
              org.jbpm.workflow.instance.node.StateBasedNodeInstance
                  org.jbpm.workflow.instance.node.RuleSetNodeInstance

All Implemented Interfaces:
  Serializable, EventBasedNodeInstanceInterface, EventListener, NodeInstance

    public class RuleSetNodeInstance

extends StateBasedNodeInstance
implements EventListener

Runtime counterpart of a ruleset node.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Field Summary

Fields inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`PARAMETER_MATCHER`

Constructor Summary
`RuleSetNodeInstance()`

Method Summary
`void` | `addEventListeners()`
`void` | `cancel()`
`protected Map<String,Object>` | `evaluateParameters(RuleSetNode ruleSetNode)`
`Map<String,FactHandle>` | `getFactHandles()`
`String` | `getRuleFlowGroup()`
`protected RuleSetNode` | `getRuleSetNode()`
`protected Map<String,Object>` | `getSourceParameters(DataAssociation association)`
`void` | `internalTrigger(NodeInstance from, String type)`
`void` | `removeEventListeners()`
`void` | `retractFacts()`
`void` | `setFactHandles(Map<String,FactHandle> factHandles)`
`void` | `setRuleFlowGroup(String ruleFlowGroup)`
`void` | `signalEvent(String type, Object event)` Signals that an event has occurred.

Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`addTimerListener, checkProcessInstance, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getEventTypes, getTimerInstances, internalSetTimerInstances, triggerCompleted, triggerCompleted`

Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
`getExtendedNode, triggerCompleted, triggerEvent`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.api.runtime.process.EventListener
`getEventTypes`

Constructor Detail

### RuleSetNodeInstance

    public RuleSetNodeInstance()

Method Detail

### getRuleSetNode

    protected RuleSetNode getRuleSetNode()

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Overrides:
    `internalTrigger` in class `StateBasedNodeInstance`

### addEventListeners

    public void addEventListeners()

  Specified by:
    `addEventListeners` in interface `EventBasedNodeInstanceInterface`
  Overrides:
    `addEventListeners` in class `StateBasedNodeInstance`

### removeEventListeners

    public void removeEventListeners()

  Specified by:
    `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
  Overrides:
    `removeEventListeners` in class `StateBasedNodeInstance`

### cancel

    public void cancel()

  Overrides:
    `cancel` in class `StateBasedNodeInstance`

### signalEvent

    public void signalEvent(String type,
                            Object event)

  Description copied from interface: `EventListener`
  Signals that an event has occurred. The type parameter defines which type of event and the event parameter can contain additional information related to the event.

  Specified by:
    `signalEvent` in interface `EventListener`
  Overrides:
    `signalEvent` in class `StateBasedNodeInstance`
  Parameters:
    `type` - the type of event
    `event` - the data associated with this event

### retractFacts

    public void retractFacts()

### evaluateParameters

    protected Map<String,Object> evaluateParameters(RuleSetNode ruleSetNode)

### getSourceParameters

    protected Map<String,Object> getSourceParameters(DataAssociation association)

### getFactHandles

    public Map<String,FactHandle> getFactHandles()

### setFactHandles

    public void setFactHandles(Map<String,FactHandle> factHandles)

### getRuleFlowGroup

    public String getRuleFlowGroup()

### setRuleFlowGroup

    public void setRuleFlowGroup(String ruleFlowGroup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.